#include <language/modules/CompositeSchemeOtherFluxesModule.hpp>

#include <language/modules/MeshModuleTypes.hpp>
#include <language/modules/SchemeModuleTypes.hpp>
#include <language/utils/BuiltinFunctionEmbedder.hpp>
#include <language/utils/TypeDescriptor.hpp>
#include <scheme/DiscreteFunctionVariant.hpp>
#include <scheme/IBoundaryConditionDescriptor.hpp>

#include <language/modules/ModuleRepository.hpp>

#include <scheme/AcousticCompositeSolver.hpp>
#include <scheme/RoeViscousFormEulerianCompositeSolver_v2.hpp>
#include <scheme/RoeViscousFormEulerianCompositeSolver_v2_o2.hpp>
#include <scheme/RusanovEulerianCompositeSolver.hpp>
#include <scheme/RusanovEulerianCompositeSolver_o2.hpp>
#include <scheme/RusanovEulerianCompositeSolver_v2.hpp>
#include <scheme/RusanovEulerianCompositeSolver_v2_o2.hpp>
#include <scheme/RusanovEulerianCompositeSolver_v2_order_n.hpp>

CompositeSchemeOtherFluxesModule::CompositeSchemeOtherFluxesModule() {}

void
CompositeSchemeOtherFluxesModule::registerOperators() const
{}

void
CompositeSchemeOtherFluxesModule::registerCheckpointResume() const
{}

ModuleRepository::Subscribe<CompositeSchemeOtherFluxesModule> composite_scheme_other_fluxes_module;
